### Method

# Vte Terminal set_input_enabled

#### Declaration [src]

    void
    vte_terminal_set_input_enabled (
      VteTerminal* terminal,
      gboolean enabled
    )

#### Description [src]

Enables or disables user input. When user input is disabled, the terminal’s child will not receive any key press, or mouse button press or motion events sent to it.

Sets property | `Vte.Terminal:input-enabled`

#### Parameters

`enabled`

  Type: `gboolean`

  Whether to enable user input.